Subject: bug#33647: closed (Re: bug#33647: First `guix pull' behaves unexpectedly)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Dec 2018 09:42:02 +0000

Your bug report

#33647: First `guix pull' behaves unexpectedly

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33647: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33647
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33647: First `guix pull' behaves unexpectedly
From: Björn Höfling <[email-masked]>
To: Diego Nicola Barbato <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Fri, 7 Dec 2018 10:41:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, 07 Dec 2018 09:36:31 +0100
Diego Nicola Barbato <[email-masked]> wrote:

> I believe this is it.  This also explains why ‘which guix’ returned
> the updated guix while ‘guix --version’ claimed it was still the older
> version, which I found rather confusing.
> I am afraid being unaware of this has led me to inadvertently
> downgrade GuixSD whenever I reconfigured for the first time after a
> fresh install.

OK, then I'm closing this issue.

Björn

Subject: First `guix pull' behaves unexpectedly
From: Diego Nicola Barbato <[email-masked]>
To: [email-masked]
Date: Thu, 06 Dec 2018 15:56:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

The first time a user runs ‘guix pull’ after a fresh install it does not
seem to update guix.  ‘guix --version’ reports that guix is still
version 0.15.0 after running ‘guix pull’, instead of showing the hash of
the latest commit.
This can be mitigated by logging out and back in, after which
‘guix --version’ returns the expected version.

Greetings

Diego